******************************************************************************
      subroutine badprt( total )
      implicit none
*print out coolants if energy not conserved
      real total
*
      include "nlines.par"
      include "sumlab.com"
      include "sum.com"
      include "heat.com"
      include "IOqq.com"
*
*     local variables
*     following is smallest ratio to print
      real ratio
      parameter (ratio=0.02)
      character*1 chInfo
      integer i
      real reclin , totlin , collin
*
      write(qq,'('' BADPRT: all entries with greater than'',F6.2,
     1 ''% of incident continuum follow.'')') ratio*100.
      write(qq,'('' BADPRT: Intensities are relative to total '',
     1 ''energy radiated.'')')
*     now find sum of lines of various types
      chInfo = 'r'
      reclin = totlin( 'r' )
      write(qq,'('' Sum of recombination (abs)='',1P,E10.2,'' (rel)=''
     1 ,e10.2)') reclin, reclin/max( 1e-30, total )
*     total is total luminosity available in radiation
      do i=1,nsum
        if( chSumTyp(i).eq.chInfo .and. sumlin(i)/total.gt.ratio ) then
          write(qq,'(1X,A4,I5,F7.3,1X,A1)')
     1    chALab(i),lin(i), sumlin(i)/total , chInfo
        endif
      end do
*
      chInfo = 'c'
      collin = totlin( 'c' )
      write(qq,'('' Sum of coolants (abs) ='',1p,e10.2,'' (rel)='',
     1 e10.2)') collin , collin/max(1e-30, total)
      do i=1,nsum
        if( chSumTyp(i).eq.chInfo .and. sumlin(i)/total.gt.ratio ) then
          write(qq,'(1x,a4,i5,1p,e10.2,1x,a1)')
     1    chALab(i),lin(i), sumlin(i)/total , chInfo
        endif
      end do
*
      chInfo = 'h'
      write(qq,'('' Sum of heat (abs) ='',1p,e10.2,'' (rel)='',
     1 e10.2)') power , power/max(1e-30, total)
      do i=1,nsum
        if( chSumTyp(i).eq.chInfo .and. sumlin(i)/total.gt.ratio ) then
          write(qq,'(1X,A4,I5,F7.3,1X,A1)')
     1    chALab(i),lin(i), sumlin(i)/total , chInfo
        endif
      end do
*
      end
