******************************************************************************
      subroutine cdErrors( io )
      implicit none
*produce summary of all warnings, cautions, etc, on arbitrary io unit
      include "nkrd.par"
      include "input.com"
      integer io
*
*     local variables
      integer nw,nc,nn,ns, nte, npe
*
*     first check for number of warnings, cautions, etc
      call cdNwcns( nw,nc,nn,ns, nte, npe )
*
      if( nw.ne.0 .or. nc.ne.0 .or. nte.ne.0 .or. npe.ne.0 ) then
        write(io,'(a75)') chTitle
*       print warnings on the io unit
        if( nw.ne.0 ) call warnot( io )
*       print cautions on the io unit
        if( nc.ne.0 ) call caunot( io )
        if( nte.ne.0 ) write(io,'(''Te failures='',i4)') nte
        if( npe.ne.0 ) write(io,'(''Pressure failures='',i4)') npe
      endif
*
      end
