******************************************************************************
      subroutine cdRead( chLin , nleft )
      implicit none
*routine to read in command lines when cloudy used as subroutine
      character chLin*80
      integer nleft
*
      include "nkrd.par"
      include "input.com"
      include "readin.com"
      include "ninput.com"
      include "optimr.com"
      include "vary.com"
      include "called.com"
      include "IOqq.com"
*
*     local variables
      character chCard*80, chLine*80
      integer ilim , i
      logical lgMatch , lgHit
*
*     this is called by user when driving as subroutine
      lgReadIn = .false.
      lgCalled = .true.
*
      nSave = nSave + 1
      if( nSave.lt.nkrd ) then
        nleft = nkrd - nSave
      else
        write(qq,'('' Too many line images entered to cdRead.'',
     1  ''  The limit is'',I5)') nkrd
        stop
      endif
*
*     now kill any part of line image after end of line character,
*     this stops undefined junk from entering after here
      ilim = 81
      lgHit = .false.
      i = 1
      do while( .not.lgHit .and. i.le.80 )
*     >>chng 97 jan 4, get rid of statement number
        chLine(i:i) = chLin(i:i)
        if( chLine(i:i).eq.'%' .or. chLine(i:i).eq.':' .or.
     1    chLine(i:i).eq.';' ) then
          ilim = i + 1
          lgHit = .true.
        endif
        i = i + 1
      end do
*     this loop skipped if no eol character found
      do i=ilim,80
        chLine(i:i) = ' '
      end do
*
      chCard = chLine
      call caps( chCard )
*
*     now check whether VARY is specified
      chCardSav(nSave) = chLine
      chCard = chLine
      call caps( chCard )
      if( lgMatch( 'VARY' , chCard ) ) then
*       a vary flag was on the line image
        lgVaryOn = .true.
      endif
      if( chCard(1:4).eq.'OPTI' ) then
*       optimize command read in
        lgOptimr = .true.
      endif
*
*     possible to have VARY on line without OPTIMIZE being set
      if( lgOptimr.and.lgVaryOn ) then
        lgVaryOn = .true.
      else
        lgVaryOn = .false.
      endif
*
      end
