******************************************************************************
      function chIonLbl(tarray)
      implicit none
*use information in line array to generate an ion label
      character*4 chIonLbl
      include "nta.par"
      real tarray(nta)
*
      include "limelm.par"
      include "ipLnArry.par"
      include "ElmntSym.com"
      include "IonStage.com"
*
*     function to use information within the line array
*     to generate an ion label, giving element and
*     ionization stage
*
      if( tarray(ipLnNelem).lt.0. ) then
*       this line is to be ignored
        chIonLbl = 'Dumy'
      else
        chIonLbl(1:2) = chElementSym(int(tarray(ipLnNelem)))
        chIonLbl(3:4) =  chIonStage(int(tarray(ipLnIonStg)))
      endif
*
      end
