******************************************************************************
      subroutine ChkSumCon( ipPnt )
      implicit none
*sanity check confirms summed continua reflect contents of individuals
      integer ipPnt
*
      include "ncell.par"
      include "en1ryd.par"
      include "ots.com"
      include "shullc.com"
      include "rfield.com"
      include "SummdCon.com"
      include "ipSecIon.com"
      include "heat.com"
      include "LineLabl.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real phisig 
*
*     this entire sub is a sanity check
*begin sanity check
      do i=1,nflux
        phisig = otscon(i)+otslin(i)+outcon(i)+outlin(i)
        if( phisig.gt.0. ) then
          if( abs(SummedDif(i)/phisig-1.) .gt.1e-3 )then
            call insane
            write(qq,'('' ChkSumCon insane SummedDif at energy''
     1      ,1p,e12.5,'' error='',e10.2,'' i='',i4)')
     2      anu(i),SummedDif(i)/phisig-1., i
            write(qq,'('' SummedDif, sum are'',1p,5e11.4)')SummedDif(i),
     1      phisig
            write(qq,'('' otscon otslin outcon outlin are'',1p,5e11.4)')
     1      otscon(i),otslin(i),outcon(i), outlin(i)
            write(qq,'('' line continuum here are'',2(1x,a4))')
     1      chLineLabel(i), chContLabel(i)
          endif
        endif
        phisig = flux(i) + phisig
        if( phisig.gt.0. ) then
          if( abs(SummedCon(i)/phisig-1.) .gt.1e-3 )then
            call insane
            write(qq,'('' ChkSumCon'',i3'', insane SummedCon at energy''
     1      ,1p,e12.5,'' error='',e10.2,'' i='',i4)')ipPnt,
     2      anu(i),SummedCon(i)/phisig-1., i
            write(qq,'('' SummedCon, sum are'',1p,5e11.4)')SummedCon(i),
     1      phisig
            write(qq,'('' otscon otslin outcon outlin flux are'',1p,
     1      5e11.4)')
     1      otscon(i),otslin(i),outcon(i), outlin(i),flux(i)
            write(qq,'('' line continuum here are'',2(1x,a4))')
     1      chLineLabel(i), chContLabel(i)
          endif
        endif
      end do
*end sanity check
*
      end
