******************************************************************************
      real function e2( t , tln )
      implicit none
*second exponential integral
*
*     local variables
      real t , tln , remain
*
*     fit of second exponential integral;
*     T is optical depth, and TLN is exp(-t)
*
      if( t.lt.0.3 ) then
        remain = (1.998069357+t*(66.4037741+t*107.2041376)) /
     1  (1.+t*(37.4009646+t*105.0388805))
*
      else if( t.lt.20. ) then
        remain = (1.823707708+t*2.395042899)/
     1  (1.+t*(2.488885899-t*0.00430538))
*
      else
        remain = 1.
      endif
*
      e2 = remain * tln / (2.+t)
*
      end
