******************************************************************
      real function exp1(x)
      implicit none
*routine from ucl group to compute 1-exp(-x)
* mod implicit none, and f77 control, gfj '96 jul 11
      real x
*     local variables
      real dx
*
      dx = abs(x)
      if(dx.lt.1.0E-9) then
        exp1 = -x
      else if(dx.lt.1.0E-5) then
        exp1 = ((-x*0.5  )-1.0  )*x
      else if(dx.lt.1.0E-3) then
        exp1 = (((-x*0.1666666667  )-0.5  )*x-1.0  )*x
      else
        exp1 = 1.0  -exp(x)
      endif
*
      end
