******************************************************************************
      real function GetGF( eina , enercm , gup )
      implicit none 
*convert oscillator strength into Einstein A
      real eina , enercm , gup
*
*     derive the transition prob, given the following
*     call to function is gf, ener in cm^-1, g_up
*     gf is product of g and oscilator strength
*     eina = ( GetGF/gup) / 1.499e-8 / ( 1e4/enercm )**2
      GetGF = eina * gup * 1.499e-8 * ( 1e4/enercm )**2
*
      end
