******************************************************************************
      subroutine he3rad
      implicit none
*compute radiative rates for helium triplets
      include "nta.par"
      include "ipLnArry.par"
      include "he3tuEXP.com"
      include "he3as.com"
      include "d10830.com"
      include "trace.com"
      include "hebug.com"
      include "IOqq.com"
*
*     notation;
*     1-2S  2-2P  3-3S  4-3P  5-3D
      if( lgTrace.and.lgHe3Bug ) write(qq,'('' HE3RAD called.'')')
*
      a10830 = 1.02e7 * t10830(ipLnEscP)
      DR10830 = 1.02e7 * DstPrb10830
      r10830 = a10830 + DR10830
      a3889 = 9.48e6 * t3889(ipLnEscP)
      a5876 = 7.06e7 * t5876(ipLnEscP)
      a7065 = 2.78e7 * t7065(ipLnEscP)
      a4 = 1.08e6
      a19 = 1.28e4
      a591 = 176.
      a2sg = 1.13e-4
*
      end
