******************************************************************************
      real function hmirat( te )
      implicit none
*compute radiative association rate for H-
      real te
*
      include "TePowers.com"
*
*     fits to radiative association rate coefficients
      if( te.lt. 31.62 ) then
        hmirat = 8.934e-18 * sqrte * te003*te001*te001
      else if( te.lt.90. ) then
        hmirat = 5.159e-18 * sqrte*te10*te03*te03*te003*te001
      else if( te.lt.1200. ) then
        hmirat = 2.042e-18 * te / te10 / te03
      else if( te.lt. 3800. ) then
        hmirat = 8.861e-18 * te70 / te03 / te01 * te003
      else if( te.le.1.4e4 ) then
*       following really only optimized up to 1e4
        hmirat = 8.204e-17 * sqrte/te10/te01*te003
      else
*       out of range of these approximations
        stop
      endif
*
      end
