******************************************************************************
      integer function ipoint( freq )
      implicit none
*returns pointer to any energy within energy mesh
      real freq
      include "nfill.par"
      include "ncell.par"
      include "fillnu.com"
      include "zero0.com"
      include "IOqq.com"
      integer i
*
      if( freq.lt.filbnd(1) .or. freq.gt.filbnd(nrange+1) ) then
        write(qq,'('' ipoint:'')')
        write(qq,'('' The freq array is not defined at nu='',1P,E10.3,
     1  ''. The bounds are'',2E10.3)') freq,filbnd(1),filbnd(nrange+1)
        write(qq,'('' divide by 0 to get trace'')')
        ipoint = 1. / ZeroNum
        stop
      endif
*
      do i=1,nrange
        if( freq.ge.filbnd(i).and.freq.le.filbnd(i+1) ) then
          ipoint = log10( freq / filbnd(i) ) / fildel(i) + 1.0 +
     1    ifill0(i)
          return
        endif
      end do
      write(qq,'('' IPOINT logic error, energy was'',1p,e11.3)') freq
*
      stop
      end
