******************************************************************************
      subroutine maprng( chCard )
      implicit none
*parse map command to produce map of heating and cooling
      character chCard*80
      include "MapPar.com"
      include "IOqq.com"
*
      logical lgEOL , lgMatch , lgLogOn
      integer i
      real fread
*
*     do cooling space map for specified zones
*     if no number, or <0, do map and punch out without doing first zone
      i = 5
      MapZone = fread( chCard , i , 76 , lgEOL )
      if( lgEOL ) then
        MapZone = -1
        return
      endif
*
      if( lgMatch( 'RANG' , chCard ) ) then
        RangeMap(1) = fread( chCard , i , 76 , lgEOL )
        if( RangeMap(1).le.10. ) then
          RangeMap(1) = 10.** RangeMap(1)
          lgLogOn = .true.
        else
          lgLogOn = .false.
        endif
        RangeMap(2) = fread( chCard , i , 76 , lgEOL )
        if( lgLogOn ) RangeMap(2) = 10.** RangeMap(2)
*
        if( lgEOL ) then
          write(qq,'('' There must be a zone number, followed by'',
     1    '' two temperatures, on this line.  Sorry.'')')
          stop
        endif
        return
      endif
*
      end
