******************************************************************************
      real function pintr( enlo , enhi )
      implicit none
*integrates L for any continuum between two limits, used for normalization
      real enlo , enhi
      include "ncell.par"
      include "limspc.par"
      include "rfield.com"
      include "spec.com"
      include "widflx.com"
      include "sptype.com"
*
*     local variables
      real skip
      parameter (skip=2.)
      logical lgMore
      external pow1
      real sum , fsum , wanu , pow1,en1,en2,piece, wfun , ffun1
      integer i , j , ip , ipoint
*
      real aweigh(4) , fweigh(4)
      data  aweigh(1)/-0.4305682/ , aweigh(2)/-0.1699905/ , 
     1      aweigh(3)/+0.1699905/ , aweigh(4)/+0.4305682/ ,
     2      fweigh(1)/+0.1739274/ , fweigh(2)/+0.3260726/ ,  
     3      fweigh(3)/+0.3260726/ , fweigh(4)/+0.1739274/
*
*     computes log of luminosity in radiation over some intergal
*     answer is in Ryd per sec
*
      sum = 0.
      if( chSpType(ipspec).eq.'LASER' ) then
*       laser is special since delta function
        ip = ipoint( slope(ipspec) )
        do i= ip-20, ip+20
          fsum = 0.
          do j=1,4
            wanu = anu(i) + widflx(i)*aweigh(j)
            wfun = fweigh(j) * ffun1( wanu ) * wanu
            fsum = fsum + wfun
          end do
          sum = sum + fsum * widflx(i)
        end do
*
      else
        lgMore = .true.
        en1 = enlo / skip
        do while(lgMore)
          en1 = en1 * skip
          en2 = en1 * skip
          if( en2.ge.enhi ) then
            en2 = enhi
            lgMore = .false.
          endif
          call qg32( en1 , en2 , pow1 , piece )
          sum = sum + piece
        end do
      endif
*
      if( sum.gt.0. ) then
        pintr = log10( sum )
      else
        pintr = -38.
      endif
*
      end
