******************************************************************************
      real function pop3(g1,g2,g3,o12,o13,o23,a21,a31,a32,ex12,ex23,
     1 pop2, abund , gam2 )
      implicit none
*solve three level atom without radiative transfer
      real g1,g2,g3,o12,o13,o23,a21,a31,a32,ex12,ex23,pop2,
     1 abund , gam2 
      include "phycon.com"
      include "TePowers.com"
      include "edsqte.com"
      real b12 , b23 , b13  , c12,c13,c23,c32,c31,c21
      real alf , bet , fac , ex
*
*     computes level populations for 3 level atom, all col rad coupling
*     results are populations of levels 2 and 3, (cm^-3) no A included
      ex = ex12 / te
      if( (abund.le.0.) .or. (ex.gt.20.) ) theN
        pop3 = 0.
        pop2 = 0.
        return
      endif
*
      b12 = exp(-ex)
      b23 = exp(-ex23/te)
*
      b13 = b12 * b23
      if( b13.eq.0. ) then
        pop3 = 0.
        pop2 = 0.
        return
      endif
*
      c12 = cdsqte * o12 / g1 * b12
      c13 = cdsqte * o13 / g1 * b13
      c23 = cdsqte * o23 / g2 * b23
      c32 = cdsqte * o23 / g3
      c31 = cdsqte * o13 / g3
      c21 = cdsqte * o12 / g2
*
      alf = a21 + c21 + c23 + gam2
      bet = a31 + a32 + c31 + c32
      pop2 = ( c13/bet + c12/(c32+a32) ) / ( alf/(c32+a32) - c23/bet )
      pop3 = (c13 + pop2*c23) / bet
*
*     renorm to 1+pop2+pop3=1
      fac = abund / ( 1. + pop2 + pop3 )
      pop2 = pop2 * fac
      pop3 = pop3 * fac
*
      end
