*     NB NB NB
*     throughout this there are two parameter files - in the
*     cloudy main directory nFe2LevN.par is dimensioned 1, but in the
*     Fe2 subdirectory it is dimensioned 371
*
*     include "nFe2LevN.par"
*
*     one or the other must be uncommented - nFe2LevN contains
*     correct number of levels for Katya's FeII atom
*     nFe2LevN1 has one, and is active when her atom is not linked in
*     
****************************************************************
      real function SumBandFe2( ip1 , ip2 )
      implicit none
*sum up Katya's FeII emission over certain bands
      integer ip1 , ip2
      include "nta.par"
      include "ipLnArry.par"
      include "nFe2LevN.par"
      include "Fe2LevN.com"
*
*     local variables
      integer low , ihi
      real alo , ahi
*
*     convert to line energy in ergs
      ahi = 1.99e-8 / float( ip1 )
      alo = 1.99e-8 / float( ip2 )
      SumBandFe2 = 0.
      do low=1,nFe2LevN-1
        do ihi=low+1,nFe2LevN
          if( Fe2LevN(ipLnEnrErg,ihi,low).ge.alo .and.
     1    Fe2LevN(ipLnEnrErg,ihi,low).le.ahi )
     2    SumBandFe2 = SumBandFe2 +
     1    Fe2LevN(ipLnInten,ihi,low)
        end do
      end do
      end
