******************************************************************************
      real function tababun ( r0 , depth , iel)
      implicit none
*interpolate on table of points to do 'element table' command,
*based on code by K Volk
*each line is log radius and abundance.
      double precision r0 , depth
*     atomic number
      integer iel
      include "limTabD.par"
      include "limelm.par"
      include "AbunTablFac.com"
      include "AbunTablLG.com"
      include "IOqq.com"
*
*     local variables
      integer j
      logical lgHit
      real x,frac
*     write(6,*)'tababun called with n=',nAbunTabl
*     stop
*
*     interpolate on radius or depth?
      if( lgAbTaDepth(iel) ) then
*       depth key appeared = we want depth
        x = log10( depth )
      else
*       use radius
        x = log10( r0 )
      endif
*
      if( x.lt.AbTabRad(iel,1).or.x.ge.AbTabRad(iel,nAbunTabl) ) then
        write(qq,'('' requested radius outside range of tababun'')')
        write(qq,'('' radius was'',1p,e10.2,'' min, max='',2e10.2)')
     1  x,AbTabRad(iel,1),AbTabRad(iel,nAbunTabl)
        stop
      else
        lgHit = .false.
        j = 1
*       do j=1,nAbunTabl-1
        do while( .not.lgHit .and. j.le.nAbunTabl-1 )
          if (AbTabRad(iel,j).le.x.and.AbTabRad(iel,j+1).gt.x) then
            frac=(x-AbTabRad(iel,j))/(AbTabRad(iel,j+1)-AbTabRad(iel,j))
            tababun=AbTabFac(iel,j)+frac*(AbTabFac(iel,j+1)-
     1       AbTabFac(iel,j))
            lgHit = .true.
          end if
          j = j + 1
        end do
        if( .not.lgHit ) then
          write(qq,'('' radius outran dlaw table scale, requested='',
     1    f6.2,'' largest='',f6.2)')x,AbTabRad(iel,nAbunTabl)
          stop
        endif
      endif
*
*     got it, now return value, not log of density
      tababun = 10.** tababun
*
      end
