******************************************************************************
      real function totlin( chInfo )
      implicit none
*sum total intensity of cooling, recombination, or intensity lines
      character*1 chInfo
*
      include "nlines.par"
      include "sumlab.com"
      include "sum.com"
      include "IOqq.com"
*
*     local variables
      integer i
*
*     routine goes through set of entered line
*     intensities and picks out those which have
*     types agreeing with chInfo.  Valid types are
*     'c', 'r', and 'i'
*begin sanity check
      if( chInfo.ne.'i'.and.chInfo.ne.'r' .and.
     1 chInfo.ne.'c' ) then
        write(qq,'('' TOTLIN does not understand chInfo='',a1)') chInfo
        stop 
      endif
*end sanity check
*
*     now find sum of lines of type chInfo
      totlin = 0.
      do i=1,nsum
        if( chSumTyp(i).eq.chInfo ) then
          totlin = totlin +  sumlin(i)
        endif
      end do
*
      end
