******************************************************************************
      real function abscf( gf , enercm , gl )
      implicit none 
*convert gf into absorption coefficient
      real gf , enercm , gl
*
*     derive line absorption coefficient, given the following:
*     gf, enercm, g_low
*     gf is product of g and oscillator strength
*     abscf = 1.497e-6 * (gf/gl) * abs(wl/1e4)
      abscf = 1.4974e-6 * (gf/gl) * (1e4 / enercm)
*
      end
