******************************************************************************
      subroutine cdInit
      implicit none
*routine to initialize variables, called at start of calculation
      include "readin.com"
      include "ninput.com"
      include "vary.com"
      include "optimr.com"
      include "called.com"
      include "IOqq.com"
*
*     local variables
      double precision vtest
*
*     on a VAX compile with /G_FLOATING option on FORTRAN;
*     following makes sure this happened.
      vtest = 1d-35
      vtest = vtest / 1d35
      if( vtest.eq.0. ) write(qq,'('' Somethings wrong with the double'',
     1'' precision.  Use /g_floating on a VAX'')')
*
*     disable underflow by various system calls
*----------------------------------------------------------------------
*     IBM;
*     CALL ERRSET( 208 , 600 , -1 )
*----------------------------------------------------------------------
*     in Sun Unix do
*     CALL MTHTRP
*     in Unix do - - -
*     INTEGER SIGNAL
*     I = SIGNAL( 119 , P , 1 )
*----------------------------------------------------------------------
*     CDC machines
*     INTEGER ISYS(6)
*     DATA ISYS/0,0,0,600,0,20/
*     CALL SYSTEMC( 115 , ISYS )
*     CALL SYSTEMC( 144 , ISYS )
*     CALL SYSTEMC(  35 , ISYS )
*----------------------------------------------------------------------
*
*     if TALK is TRUE then do standard printout
*     if FALSE then never say anything
      lgTalk = .true.
      lgBusted = .false.
      lgVaryOn = .false.
      lgOptimr = .false.
*
*     if lgCalled is TRUE then cloudy is a called subroutine,
*     and it will RETURN in case of catastrophe, and will not read input
*     all input must be specified here in MAIN
*     by accessing the correct com blocks
*
*     if FALSE then unit 5 is read for input, output on 6,
*     and cloudy will stop in case of catastrophe
      lgCalled = .false.
*
      lgReadIn = .true.
      lgScanar = .true.
      nSave = 0
      nRead = 0
*
      end
