******************************************************************************
      subroutine cdLine( chLabel , length , relint , absint , lgOK )
      implicit none
*get the predicted line intensity
      integer length 
      real relint , absint
      logical lgOK
      character*4 chLabel
*
      include "nlines.par"
      include "sum.com"
      include "sum2.com"
      include "sumlab.com"
      include "norm.com"
      include "fourpi.com"
      include "nsumtt.com"
*
*     local variables
      character*4 chCaps , chFind
      integer j , ipobs
*
*     change chLabel to all caps
      call cap4( chLabel , chFind )
      do j=1,nsumtt
*       change chLabel to all caps to be like input chAmLab
        call cap4( chALab(j) , chCaps )
*       check wavelength and chLabel for a match
        if(lin(j).eq.length .and.chCaps.EQ.chFind) then
*         match, so set pointer
          ipobs = j
          if( sumlin(NormWL).gt.0.) then
            relint = sumlin(ipobs)/sumlin(NormWL)*sclnrm
          else
            relint = 0.
          endif
          if( sumlin(ipobs).gt.0. ) then
            absint = log10(sumlin(ipobs)) + pirsq
          else
*           line intensity is actually zero, return small number
            absint = -37.
          endif
          lgOK = .true.
          return
        endif
      end do
*
      lgOK = .false.
      absint = 0.
      relint = 0.
*
      end
