******************************************************************************
      function chLineLbl(tarray)
      implicit none
*use information in line transfer arrays to generate a line label
      character*10 chLineLbl
      include "nta.par"
      real tarray(nta)
*
      include "limelm.par"
      include "ipLnArry.par"
      include "ElmntSym.com"
      include "IonStage.com"
*
*     local variables
      integer iWl
*
*     function to use information within the line array
*     to generate a line label, giving element and
*     ionization stage
*     rhs are set in large block data
*
*     NB this funciton is profoundly slow due to write statement
*     also - it cannot be evaluated within a write statement itself
*
      iWl = tarray(ipLnWlAng)
      if( iWl.gt.99 999 ) then
        write(chLineLbl,'(a2,a2,i5,a1)')
     1  chElementSym(int(tarray(ipLnNelem))) ,
     2  chIonStage(int(tarray(ipLnIonStg))) ,
     3  iWl /10 000 , 'm'
      else if( iWl.gt. 9 999 ) then
        write(chLineLbl,'(a2,a2,f5.2,a1)')
     1  chElementSym(int(tarray(ipLnNelem))) ,
     2  chIonStage(int(tarray(ipLnIonStg))) ,
     3  tarray(ipLnWlAng)/1e4 , 'm'
      else if( iWl.ge.100 ) then
        write(chLineLbl,'(a2,a2,i5,a1)')
     1  chElementSym(int(tarray(ipLnNelem))) ,
     2  chIonStage(int(tarray(ipLnIonStg))) ,
     3  iWl , 'A'
      else if( iWl.ge.10 ) then
        write(chLineLbl,'(a2,a2,f5.1,a1)')
     1  chElementSym(int(tarray(ipLnNelem))) ,
     2  chIonStage(int(tarray(ipLnIonStg))) ,
     3  tarray(ipLnWlAng) , 'A'
      else
        write(chLineLbl,'(a2,a2,f5.2,a1)')
     1  chElementSym(int(tarray(ipLnNelem))) ,
     2  chIonStage(int(tarray(ipLnIonStg))) ,
     3  tarray(ipLnWlAng) , 'A'
      endif
*666  write(6,'(a10)') chLineLbl
*
      end
