******************************************************************************
      subroutine coladd( chLabel , lambda , cool )
      implicit none
*add coolants to the cooling stack, called in evaluation of cooling function
      real cool
      character chLabel*4
      integer lambda
*
      include "ncolnt.par"
      include "collab.com"
      include "coolnt.com"
      include "IOqq.com"
*
      ncltot = ncltot + 1
      if( ncltot.gt.ncolnt ) then
        write(qq,'('' Too many coolants added with COLADD,'',
     1  '' the limit is'',I5,''.'')') ncolnt
        write(qq,'('' Increase ncolnt in the parameter statements.'')')
        stop
      endif
*
      chClntLab(ncltot) = chLabel
      collam(ncltot) = lambda
*     normal line cooling
      cooling(ncltot) = max( 0., cool )
*     possible line heating - not supposed to be done this way!
*     this is intrinsic positive number, to be added to heating
      heatnt(ncltot) = max( 0., -cool )
*
      end
