******************************************************************************
      subroutine coolpr( chLabel , lambda , ratio , eps )
      implicit none
*stores coolants before block printed, when printing cooling agents
      character chLabel*4
      integer lambda
      real ratio , eps
*
      include "heat.com"
      include "IOqq.com"
*
*     local variables
      integer nColSav
      parameter (nColSav=100)
      character*1 chSig(nColSav)
      real csav(nColSav) , scratch(nColSav) , SavMax
      integer isav(nColSav) , i , j
      save isav , csav , ip , cset , chSig , chLabsv 
      character chLabsv(nColSav)*4
*
      integer ip , ipAr(nColSav)
      real cset
*
      if( chLabel.EQ.'ZERO' ) then
         cset = htot * eps
         ip = 1
*
      else if( chLabel.ne.'DONE' .and. abs(ratio).gt.eps ) then
        chLabsv(ip) = chLabel
        if( lambda.lt.10 000 ) then
          isav(ip) = lambda
        else
          isav(ip) = lambda/10000
        endif
        csav(ip) = ratio
        if( ratio.lt.0. ) then
          chSig(ip) = 'n'
        else
          chSig(ip) = ' '
        endif
        ip = ip + 1
        if( ip.gt.nColSav ) then
           write(qq,'(''  coolpr ran out of room.'')')
           call ShowMe
           stop
        endif
*
      else if( chLabel.EQ.'DONE' ) then
*       want to print sorted list of coolants
        ip = ip - 1
        do i=1,ip
          scratch(i) = abs(csav(i) )
        end do
        do i=1,ip
          SavMax = 0.
*         find largest of remaining
          do j=1,ip
            if( scratch(j).gt.SavMax ) then
              SavMax = scratch(j)
              ipAr(i) = j
            endif
          end do
          scratch(ipAr(i)) = 0.
        end do
        do j=1,ip,7
          write(qq,'(4X,7(1X,A4,I6,A1,F6.3))') (chLabsv(ipAr(i)),
     1    isav(ipAr(i)), chSig(ipAr(i)), csav(ipAr(i)) ,i=j,min(ip,j+6))
        end do
      endif
*
      end
