******************************************************************************
      subroutine DimaCool
      implicit none
*compute cooling due to level 2 lines
      include "ipLnArry.par"
      include "nta.par"
      include "itrdim.par"
      include "limelm.par"
      include "nwindline.par"
      include "WindData.com"
      include "DoPhoto.com"
      include "phycon.com"
      include "IonFracs.com"
      include "ZoneCnt.com"
      include "WindEtc.com"
      include "IOqq.com"
*
*     local variables
      integer i
      real cs , ColStrGBar , tused
      save tused
      data tused/-1./
*
      if( lgDoPhoto.and.abs(te-tused)/te.gt.0.05 .or.nzone.le.1 ) then
*       reevaluate this is big temp change, or if new photo
*       danger here is if ionization stage trimming drops,
*       cs of 1 will be used if this not reevaluated
        do i=1,NWINDLINE*nWindOn
*         >>chng 97 aug 30, remove test for insane Nelem IonStg
*         sanity check is in convwind
*         if( WindLine(ipLnNelem,i).gt.0. .and.
*    1    .and. xIonFracs(int(WindLine(ipLnNelem,i)),
*    1    int(WindLine(ipLnIonStg,i)) ).gt.0. ) then
*         only evaluate cs if positive abundance
          if( xIonFracs(ipWindNelem(i),ipWindIon(i)).gt.0.)then
            cs = ColStrGBar( WindLine(1,i) )
          else
            cs = 1.
          endif
          call PutCS( cs , WindLine(1,i) )
        end do
        tused = te
      endif
      do i=1,NWINDLINE*nWindOn
*       we need to call this even if nothing present since then sets zero
*       ignore all lines with negative atomic number
*       >>chng 97 aug 30, get rid of test for non-pos ipLnNelem
*       pointer tells level2 to use existing WineEtc labels
        ipWEtc = i
        call level2( WindLine(1,i) )
      end do
*
*     pointer tells levels to generate labels
      ipWEtc = 0
*
      end
