******************************************************************************
      subroutine final
      implicit none
*create final pages of printout, emission line intensities, etc
      include "nlines.par"
      include "ndust.par"
      include "ncell.par"
      include "solarm.par"
      include "pi.par"
      include "en1ryd.par"
      include "itrdim.par"
      include "nhlvl.par"
      include "nhe1lvl.par"
      include "nhe2lvl.par"
      include "colmas.com"
      include "jmin.com"
      include "densty.com"
      include "dstfac.com"
      include "lhytot.com"
      include "aclbar.com"
      include "timesc.com"
      include "terode.com"
      include "tehigh.com"
      include "iontot.com"
      include "prad.com"
      include "r1r0sq.com"
      include "badstp.com"
      include "itagan.com"
      include "warngs.com"
      include "uspher.com"
      include "qs.com"
      include "lastit.com"
      include "sphere.com"
      include "called.com"
      include "pshort.com"
      include "fourpi.com"
      include "faint.com"
      include "prall.com"
      include "IterCnt.com"
      include "ZoneCnt.com"
      include "norm.com"
      include "tff.com"
      include "abrems.com"
      include "workf.com"
      include "tautot.com"
      include "date.com"
      include "toiii.com"
      include "dstdft.com"
      include "he.com"
      include "u.com"
      include "phycon.com"
      include "heat.com"
      include "cldnEXP.com"
      include "tcool.com"
      include "nkrd.par"
      include "ninput.com"
      include "input.com"
      include "cpres.com"
      include "sound.com"
      include "rfield.com"
      include "ots.com"
      include "condif.com"
      include "widflx.com"
      include "h.com"
      include "nh.com"
      include "radius.com"
      include "smdlab.com"
      include "dsum.com"
      include "sum2.com"
      include "sumlab.com"
      include "sum.com"
      include "ffheat.com"
      include "dstlab.com"
*     include "dhla.com"
      include "xry.com"
      include "cover.com"
      include "cylind.com"
      include "peimbt.com"
      include "o3data.com"
      include "FeIIAtom.com"
      include "filfac.com"
      include "PrnLine.com"
      include "BetaVer.com"
      include "HTopOff.com"
      include "qheat.com"
      include "KatyaDat.com"
      include "HPhoto.com"
      include "IOqq.com"
*
*     local variables
      real d(32) 
      integer index(32)
      logical lgOK
      integer i , j , nd , ipoint , ip2kev , ip2500,nline,nlow,iprnt,
     1 nneg
      character chLab(ndust)*10
      real alfox , ajmin,ajmass,rjeans,tmean,wmean,ferode,rate,
     1 hescal,znit,bremtk,coleff , dmean,totlin,powerl,uhel,uhl,usp,
     2 pion,qlow,plow,reclin,qion,bottom,tb,hbcab,bacthn, ratio,
     1 bot,absint,o4363,o5007,he5876,he4686,hbeta,a,bacobs,heabun,
     3 top
*
      character*20 chPlaw , chGeo*6 , chKey*4 , chCKey*4
      character chSLab(NLINES)*4 , chSTyp(NLINES)*1
      real sclsav(NLINES)
      logical lgPrt(NLINES)
      double precision bac , x,tel
      integer linsav(NLINES)
*
*     free statement labels >=20
*     return if not talking
      if( .not.lgTalk ) return
*
*     print out header, or parts that were saved
*
*     this would be a major logical error
      if( nsum .le. 1 ) then
        if( lgCalled ) then
          lgBusted = .true.
          return
        else
          stop
        endif
      endif
*
      write(qq,'(''1''/23X,33(''*''),''> Cloudy '',a7,'' <'',
     1 32(''*''))') chVersion
      do i=1,nSave
        chKey = chCardSav(i)(1:4)
        call cap4( chKey, chCKey )
        if(chCKey.ne.'CONT' ) 
     1  write(qq,'(23X,''*'',1X,A80,''*'')') chCardSav(i)
      end do
      if( uh.gt.0. ) then
        a = log10( uh )
      else
        a = -37.
      endif
      write(qq,'(23X,33(''*''),''> Log(U):'',F6.2,'' <'',33(''*''))')a
*
      if( nBetaVer.gt.0 ) write(qq,'(/24x,''This is a beta test '',
     1''version of the code, and should not be used for publications.''/
     2)')
*
      if( lgWarngs ) then
        write(qq,'(''  '')')
        write(qq,'(23X,10(''>''),'' Warning!'')')
        write(qq,'(23X,10(''>''),'' Warning!'')')
        write(qq,'(23X,10(''>''),'' Warning!  Warnings exist, this '',
     1  ''calculation has serious problems.'')')
        write(qq,'(23X,10(''>''),'' Warning!'')')
        write(qq,'(23X,10(''>''),'' Warning!'')')
        write(qq,'(''  '')')
      else if( lgCautns ) then
        write(qq,'(23X,10(''>''),'' Cautions are present.'')')
      endif
*
      if( lgBadStop ) then
        write(qq,'(23X,10(''>''),'' The calculation stopped for '',
     1  ''unintended reasons.'')')
      endif
*
      if( lgIterAgain ) then
        write(qq,'(23X,10(''>''),'' Another iteration is needed.'')')
      endif
*
      arealg = pirsq
*
*     open or closed geometry??
      if( lgSphere ) then
         chGeo = 'Closed'
      else
         chGeo = '  Open'
      endif
*
      if( chCPres.eq. 'CPRE' ) then
         chPlaw = ' Constant  Pressure '
      else if( chCPres.eq. 'CDEN' ) then
         chPlaw = '  Constant  Density '
      else if( chCPres.eq. 'POWD' .or.  chCPres.eq. 'POWR' .or.
     1   chCPres.eq.'POWC' ) then
         chPlaw = '  Power Law Density '
      else if( chCPres.eq. 'SINE' ) then
         chPlaw = ' Rapid Fluctuations '
      else if( chCPres(1:3).eq. 'DLW' ) then
         chPlaw = ' Special Density Lw '
      else if( chCPres.eq. 'TIME' ) then
         chPlaw = '   Time  Dependent  '
      else if( chCPres.eq. 'HYDR' ) then
         chPlaw = ' Hydrostatic Equlib '
      else if( chCPres.eq. 'WIND' ) then
         chPlaw = '  Radia Driven Wind '
      else if( chCPres.eq. 'GLOB' ) then
         chPlaw = ' Globule            '
      else
         chPlaw = ' UNRECOGNIZED CPRES '
      endif
      write(qq,'(/,21X,''Emission Line Spectrum. '',A20,''Model.  '',A6,
     1'' geometry.  Iteration''
     1,I2,'' of'',I2,''.'')') chPlaw , chGeo,iter , itermx+1
*
*     emission lines as logs of total luminosity
*     either per unit inner area (lgFourPi=.F.), or FOUR PI R SQRD (=.T.)
      if( lgFourPi ) then
*       four pi r^2, prog works in sqr cm, multiply by this
        if( lgCylnOn ) then
          write(qq,'(40X,'' Luminosity (erg/s) emitted by partial ''
     1    ,'' cylinder.'')')
        else if( covgeo.eq.1. ) then
          write(qq,'(36X,'' Luminosity (erg/s) emitted by shell with''
     1    ,'' full coverage.'')')
        else
          write(qq,'(30X,'' Luminosity (erg/s) emitted by shell with''
     1    ,'' a covering factor of'',F6.1,''%.'')') covgeo*100.
        endif
      else
        write(qq,'(51X,'' Intensity (erg/s/cm^2)'')')
      endif
*
*     throw a blank line
      write(qq,'(1x,a1)') ' '
*
      snorm = sumlin(NormWL)
      if( (snorm.eq.0.)  .or. (NormWL.le.0) .or. (NormWL.gt.nsum) )then
         write(qq,'('' >>Normalization line has zero intensity, its '',
     1   ''intensity was set to 1.  ''/
     2   '' >>Please consider using another normalization line '',
     3   ''(this is set with the NORMALIZE command).'' )')
         write(qq,'('' >>The relative intensities will be meaningless,''
     1   ,'' and many lines may appear too faint.'')')
         snorm = 1.
*        write(qq,'('' NormWL,nsum,itermx,iter='',5i5)')
*    2   NormWL, nsum , itermx,iter
      endif
*
*     analyse line arrays for abundances, temp, etc
*
*     find apparent helium abundance
      hbeta = sumlin(1)
      he5876 = 0.
      he4686 = 0.
      i = 30
      do while( i.le.nsum.and. lin(i).ne.5876)
        i = i + 1
      end do
      he5876 = sumlin(i)
*
      i = min( nsum , i )
      do while( i.le.nsum.and. lin(i).ne.4686)
        i = i + 1
      end do
      he4686 = sumlin(i)
* 
      if( hbeta.gt.0. ) then
         heabun = (he4686*0.078 + he5876*0.739) / hbeta
      else
         heabun = 0.
      endif
      hescal = heabun / ( ahe / hden )
*
*     get temperature from [OIII] spectrum
      call cdLine( 'O  3',5007, o5007, absint, lgOK)
      if(.not.lgOK ) then
        write(qq,'('' FINAL could not find OIII 5007 with cdLine.'')')
        stop
      endif
      call cdLine( 'TOTL',4363, o4363, absint, lgOK)
      if(.not.lgOK ) then
        write(qq,'('' FINAL could not find OIII 4363 with cdLine.'')')
        stop
      endif
*
*     first find low density limit OIII zone temp
      if( (o4363.ne.0.) .and. (o5007.ne.0.) ) then
*       following will assume coll excit only, so correct
*       for 4363's that cascade as 5007
        bot = o5007 - o4363/o3enro
        if( bot.gt.0. ) then
          ratio = o4363 / bot
        else
          ratio = 0.178
        endif
        if( ratio.gt. 0.177 ) then
*         ratio was above infinite temperature limit
          toiiir = 1e10
        else
*         data for following set in oiii cooling routine
*         ratio of collision strengths, fac of 4/3 makes 5007+4959
*         >>chng 96 sep 7, reset cs to values at 10^4K,
*         had been last temp in model
          o3cs12 = 2.33239
          o3cs13 = 0.292628
          ratio = ratio/1.3333 /(o3cs13/o3cs12)
*         ratio of energies and branching ratio for 4363
          ratio = ratio / o3enro / o3br32
          toiiir = -o3ex23 / log( ratio )
        endif
      else
        toiiir = 0.
      endif
*
*     find temperature from Balmer continuum
      call cdLine( 'Bac ',3646, bacobs, absint, lgOK)
      call cdLine( 'TOTL',4861, hbeta, absint, lgOK)
      if (hbeta.gt.0. ) then
        bac = bacobs / hbeta
      else
        bac = 0.
      endif
      if( bac.gt.0. ) then
*----------------------------------------------------------*
***** TableCurve c:\tcwin2\balcon.for Sep 6, 1994 11:13:38 AM
***** log bal/Hbet
***** X= log temp
***** Y= 
***** Eqn# 6503  y=a+b/x+c/x^2+d/x^3+e/x^4+f/x^5
***** r2=0.9999987190883581
***** r2adj=0.9999910336185065
***** StdErr=0.001705886369042427
***** Fval=312277.1895753243
***** a= -4.82796940090671
***** b= 33.08493347410885
***** c= -56.08886262205931
***** d= 52.44759454803217
***** e= -25.07958990094209
***** f= 4.815046760060006
*----------------------------------------------------------*
*       bac is double precision!!!!
        x = 1.d0/log10(bac)
        tel =-4.827969400906710+x*(33.08493347410885+
     1  x*(-56.08886262205931+x*(52.44759454803217+
     1  x*(-25.07958990094209+x*(4.815046760060006)))))
*
        if(tel.gt.1. .and. tel.lt.5. ) then
          tbac = 10.**tel
        else
          tbac = 0.
        endif
      else
        tbac = 0.
      endif
*
*     find temperature from optically thin Balmer continuum and case B H-beta
      call cdLine( 'thin',3646, bacthn, absint, lgOK)
      call cdLine( 'Ca B',4861, hbcab, absint, lgOK)
      if (hbcab.gt.0. ) then
        bacthn = bacthn / hbcab
      else
        bacthn = 0.
      endif
      if( bacthn.gt.0. ) then
*----------------------------------------------------------*
***** TableCurve c:\tcwin2\balcon.for Sep 6, 1994 11:13:38 AM
***** log bal/Hbet
***** X= log temp
***** Y= 
***** Eqn# 6503  y=a+b/x+c/x^2+d/x^3+e/x^4+f/x^5
***** r2=0.9999987190883581
***** r2adj=0.9999910336185065
***** StdErr=0.001705886369042427
***** Fval=312277.1895753243
***** a= -4.82796940090671
***** b= 33.08493347410885
***** c= -56.08886262205931
***** d= 52.44759454803217
***** e= -25.07958990094209
***** f= 4.815046760060006
*----------------------------------------------------------*
*       bac is double precision!!!!
        x = 1.d0/log10(bacthn)
        tel =-4.827969400906710+x*(33.08493347410885+
     1  x*(-56.08886262205931+x*(52.44759454803217+
     1  x*(-25.07958990094209+x*(4.815046760060006)))))
*
        if(tel.gt.1. .and. tel.lt.5. ) then
          tbcthn = 10.**tel
        else
          tbcthn = 0.
        endif
      else
        tbcthn = 0.
      endif
*
*     we now have temps from OIII ratio and BAC ratio, now
*     do Peimbert analysis, getting To and t^2
      tb = tbac
      tohyox = (8.5*toiiir - 7.5*tbcthn - 228200. +
     1 sqrt( (8.5*toiiir - 7.5*tbcthn -228200.)**2+9.128e5*tbcthn))/2.
      if( tohyox.gt.0. ) then
        t2hyox = (tohyox-tbcthn)/( 1.7*tohyox )
      else
        t2hyox = 0.
      endif
*
*----------------------------------------------------------
*
*     first set scaled lines
      do i=1,nsum
        scaled(i) = sumlin(i) / snorm * sclnrm
        if( sumlin(i).gt.0. ) then
           asumli(i) = log10(sumlin(i)) + pirsq
        else
           asumli(i) = -38.
        endif
      end do
*
*     punch Verner FeII lines if this is desired
      if( chFeIIAtom.eq.'Verner' .and..not.lgSimKatya ) then
        call Fe2Lines( 'pun' , sclnrm/snorm )
      endif
*
*     this is option to not print certain contributions
      do i=1,nsum
        if( chALab(i).eq.'Coll'.and..not.lgPrnColl ) then
          lgPrt(i) = .false.
        else if( chALab(i).eq.'Pump'.and..not.lgPrnPump ) then
          lgPrt(i) = .false.
        else if( chALab(i)(1:3).eq.'Inw'.and..not.lgPrnInwd ) then
          lgPrt(i) = .false.
        else if( chALab(i).eq.'Heat'.and..not.lgPrnHeat ) then
          lgPrt(i) = .false.
        else if( chALab(i).eq.'nFnu'.and..not.lgPrnDiff ) then
          lgPrt(i) = .false.
        else
          lgPrt(i) = .true.
        endif
      end do
*
*     do not print relatively faint lines unless requested
      nneg = 1
      if( lgFaintOn ) then
        iprnt = 0
        do i=1,nsum
          if(scaled(i).ge.TooFaint.and.lgPrt(i) ) then
            iprnt = iprnt + 1
            asumli(iprnt) = log10(sumlin(i)) + pirsq
            sclsav(iprnt) = scaled(i)
            chSTyp(iprnt) = chSumTyp(i)
            chSLab(iprnt) = chALab(i)
            linsav(iprnt) = lin(i)
          else if( -scaled(i).gt.TooFaint .and. lgPrt(i) ) then
*           negative intensities occur if line absorbs continuum
            index(nneg) = i
            index(nneg+1) = lin(i)
            nneg = min( 32 , nneg + 2 )
          endif
        end do
      else
*       print everything
        iprnt = nsum
        do i=1,nsum
          sclsav(i) = scaled(i)
          chSTyp(i) = chSumTyp(i)
          chSLab(i) = chALab(i)
          linsav(i) = lin(i)
          if( scaled(i).lt.0. ) then
            index(nneg) = i
            index(nneg+1) = lin(i)
            nneg = min( 32 , nneg + 2 )
          endif
        end do
      endif
*
      if( lgDustOn.and. (.not.lgSphere) .and.(covrt.eq.0.) ) then
*       print special lines with continuum transfer in
        write(qq,'(51X,''Emergent line intensities'')')
        nlow = 1
        bottom = max( 1e-30 , smdlin(1) )
        do nlow=1,ndsum,4
          write(qq,'(5X,3(1X,A4,I5,F7.3,F9.4,5X),1X,A4,I5,F7.3,F9.4)')
     1    (chSMDLab(i),lind(i), log10(max(smdlin(i),1e-35))+pirsq,
     2    smdlin(i)/bottom , i=nlow,min(nlow+3,ndsum))
        end do
        write(qq,'(A1)')
        write(qq,'(51X,''Intrinsic line intensities'')')
      endif
*
*----------------------------------------------------------
*
*     print out all lines which made it through the faint filter
      nline = (iprnt+3) / 4
      do i=1,nline
        write(qq,'(5X,3(1X,A4,I5,F7.3,F9.4,5X),1X,A4,I5,F7.3,F9.4)')
     1  (chSLab(j),linsav(j),asumli(j),sclsav(j),j=i,iprnt,nline)
      end do
*
      if( nneg.gt.1 ) then
         write(qq,'('' Lines with negative intensities - '',
     1   '' Linear itensities relative to normalize line.'')')
         write(qq,'(10x,5(i5,a5,i5,1p,e9.1))')
     1   (index(i),chALab(index(i)),index(i+1),
     2   scaled(index(i)),i=1,nneg-1,2)
      endif
*
* add lines to truncated list, using known line ratios, with printou
      npxdd = iprnt
*     with area since sumlin does
      snorm = sumlin(NormWL)
      if(prall.eq.1) call addln1
*
* reorder lines according to wavelength for comparison with spectrum
* including writing out the results
      if(psort.eq.1) call spect
*
*     now find which were the very strongest, more that 5% of cooling
      j = 0
      do i=1,nsum
        a = sumlin(i) / totcol 
        if( (a.ge.0.05) .and. chSumTyp(i).eq.'c' ) then
          j = min( j+1 , 7 )
          index(j) = i
          d(j) = a
        endif
      end do
*
      write(qq,'(///1x,a74)') chTitle(2:75)
      if( j.ne.0 ) write(qq,'('' Cooling:'',7(2X,A4,I5,
     1'':'',F5.3))') (chALab(index(i)),lin(index(i)),d(i),i=1,j)
*
*     now find strongest heating, more that 5% of total
      j = 0
      do i=1,nsum
        a = sumlin(i) / power
        if( (a.ge.0.05) .and. chSumTyp(i).eq.'h' ) then
          j = min( j+1 , 7 )
          index(j) = i
          d(j) = a
        endif
      end do
*
      if( j.ne.0 ) write(qq,'(1X,''Heating:'',7(2X,A4,I5,
     1'':'',F5.3))') (chALab(index(i)),lin(index(i)),d(i),i=1,j)
* 
*     print out ionization parameters and radiation making it through
      qlow = 0.
      plow = 0.
      do i=1,ipHn(1)-1
*       N.B. in following en1ryd prevents overflow
        plow = plow + (flux(i)+outcon(i)+outlin(i))*en1ryd * anu(i)
        qlow = qlow + (flux(i)+outcon(i)+outlin(i))
      end do
      qlow = qlow * r1r0sq
      plow = plow * r1r0sq
      if( plow.gt.0. ) then
         qlow = log10( qlow ) + pirsq
         plow = log10( plow ) + pirsq
      else
         qlow = 0.
         plow = 0.
      endif
*
      qion = 0.
      pion = 0.
      do i=ipHn(1),nflux
*       N.B. in following en1ryd prevents overflow
        pion = pion + (flux(i)+outcon(i)+outlin(i))*en1ryd * anu(i)
        qion = qion + (flux(i)+outcon(i)+outlin(i))
      end do
      qion = qion * r1r0sq
      pion = pion * r1r0sq
*
      if( pion.gt.0. ) then
         qion = log10( qion ) + pirsq
         pion = log10( pion ) + pirsq
      else
         qion = 0.
         pion = 0.
      endif
*
*     derive ionization parameter for spherical geometry
      if( qhtot.gt.0. ) then
         if( lgUSphON ) then
*           RSTROM is stromgren radius
            usp = qhtot / (rstrom/rinner)**2 / 2.998e10 / hden
            usp = log10( usp )
         else
*           no stromgren radius found, use outer radius
            usp = qhtot / r1r0sq / 2.998e10 / hden
            usp = log10( usp )
         endif
      else
         usp = -37.
      endif
*
      if( uh.gt.0. ) then
         uhl = log10( uh )
      else
         uhl = -37.
      endif
      if( uheii.gt.0. ) then
         uhel = log10( uheii )
      else
         uhel = -37.
      endif
      write(qq,'(/,'' IONIZE PARMET:'',2X,''U(1-)'',F8.4,''  U(4-):'',
     1F8.4,''  U(sp):'',F6.2,''  Q(ion):   '',F6.3,''  L(ion):'',F8.3,
     2'' Q(low):'',F6.2,''    P(low)'',F9.3)')
     3 uhl , uhel , usp , qion , pion , qlow , plow
*
      a = abs( (power-totcol)*100. ) / power
*     output power and total cooling; can be neg for shocks, collisional ioniz
      if( power.gt.0. ) then
         powerl = log10(power) + pirsq
      else
         powerl = 0.
      endif
      if( totcol.gt.0. ) then
         totcol = log10(totcol) + pirsq
      else
         totcol = 0.
      endif
      if( ffhtot.gt.0. ) then
         ffhtot = log10(ffhtot) + pirsq
      else
         ffhtot = 0.
      endif
*     following is recombination line intensity
      reclin = totlin( 'r' )
      if( reclin.gt.0. ) then
         reclin = log10(reclin) + pirsq
      else
         reclin = 0.
      endif
      if( workft.gt.0. ) then
         workft = log10(max(1e-20,workft)) + pirsq
      else
         workft = 0.
      endif
*
      write(qq,'('' ENERGY BUDGET:  Heat:'',F8.3,2X,''Coolg:'',F8.3,2X,
     1''Error:'',0P,F5.1,''%'',2X,''Rec Lin:'',F8.3,''  WorkF: '',F8.3,
     2'' F-F  H'',F7.3,''    RadBetaMax:'',1P,E8.2)')
     2 powerl , totcol , a , reclin , workft , ffhtot , RadBetaMax
*
*     effective x-ray column density, from 0.5keV attenuation, no scat
*     IPXRY is pointer to 73.5 Ryd
      coleff = tauabs(ipxry,1) - tauxry
      coleff = coleff / 2.14e-22
*
      write(qq,'('' Column density  H12:'',1P,E9.3,2X,''H II:'',E9.3,
     1''  HI:'',E9.3,''  H-:    '',E9.3,2X,''H2:   '',E9.3,'' H2+:'',
     2E9.3,4X,''He H+:'',E9.3)')
     3colden,chii,chi,chmin,colh2,ch2pls,chehp
*
*     print molecular element column densities
      call molcol( 'PRIN' )
*
*     find t^2 from H II structure
      call gett2( t2hstr)
*     find t^2 from OIII structure
      call gett2o3( t2o3str)
*
      write(qq,'(5X,''Col(Heff):'',6X,1P,E9.3,''  snd travl time  '',
     1 e8.2,'' sec  NeN+dl: '',E8.2,''  Te-low:'',1P,E8.2,
     2 '' Te-hi'',E8.2)')
     3 coleff, sound,dlnenp, tlowst , thist
*
*     following is wl where gas goes thick to brems, in cm
      if( tff.gt. 0. ) then
        bremtk = 911.3e-8 / tff
      else
        bremtk = 1e30
      endif
*
      if( nzone.gt.0 ) then
        znit = float(iontot) / float(nzone)
      else
        znit = 0.
      endif
*
      write(qq,'('' He/Ha:'',1P,E8.2,''  ='',0P,F7.2,''*true'',
     1''  Lthin:'',1p,
     2 E8.2,''  iter/zn:'',0P,F5.3,''  Hlu/zn:'',1P,E8.2)')
     3 heabun,hescal,bremtk ,
     3 znit , float( lhytot ) / float(nzone)
*
*     timescale (sec here) for photoerosion of fe-ni
      rate = TimeErode * 2e-26
      if( rate.gt.1e-30 ) then
        ferode = (1. / rate )
      else
        ferode = 0.
      endif
*
*     mean acceleration
      if( acldr.gt.0. ) then
        AccelAver = AccelAver / acldr
      else
        AccelAver = 0.
      endif
*
*     DMEAN is mean density (gm per cc); mean temp is weighted by mass density
      wmean = wmas / TotMassColl
      dmean = TotMassColl / avhden
      tmean = tmas / TotMassColl
      wmean = wmas / TotMassColl
*
      write(qq,'(''   <a>:'',1P,E8.2,''  erdeFe'',E7.1,''  Tcompt'',
     1E8.2,''  Tthr'',E8.2,''  <Tden>: '',E8.2,''  <dens>:'',E8.2,
     2 '' <Mol>:'',E8.2)')
     1 AccelAver , ferode , tcmptn , ttherm , tmean, dmean,wmean
*
*     Jeans length and mass - this is mean over model
      rjeans = 7.79637+(log10(tmean)-log10(wmole)-
     1 log10(xMassDensity*FillFac))/ 2.
      if( rjeans.lt.36.) then
        rjeans = 10.** rjeans
*       AJMASS is Jeans mass in solar units
        ajmass = 3.*log10(rjeans/2.) + log10(4.*pi/3.*
     1  xMassDensity*FillFac) - log10( solarm )
        if( ajmass.lt.37 ) then
          ajmass = 10.** ajmass
        else
          ajmass = 0.
        endif
      else
        rjeans = 0.
        ajmass = 0.
      endif
*
*     Jeans length and mass - this is smallest over model
      ajmin = ajmmin - log10(solarm)
      if( ajmin.lt.37 ) then
        ajmin = 10.** ajmin
      else
        ajmin = 0.
      endif
*
*     estimate alpha (o-x)
      if( anu(nflux).gt.150. ) then
        ip2kev = ipoint( 147. )
        ip2500 = ipoint( 0.3648 )
        bottom = ((flux(ip2500)+ContDiff(ip2500))*
     2  anu(ip2500)/widflx( ip2500) )
        top = (flux(ip2kev)+ContDiff(ip2kev))*anu(ip2kev)/widflx(ip2kev)
        if( bottom.gt.1e-30 .and.top.gt.1e-30 ) then
          ratio = log10( top ) - log10( bottom )
          if( ratio.lt.36. .and. ratio.gt.-36. ) then
            ratio = 10.**ratio
          else
            ratio = 0.
          endif
        else
          ratio = 0.
        endif
        if( ratio .gt. 0. ) then
          alfox = log( ratio ) / log( anu(ip2kev)/anu(ip2500) )
        else
          alfox = 0.
        endif
      else
        alfox = 0.
      endif
*
      if( rjnmin.lt.37 ) then
        rjnmin = 10.**rjnmin 
      else
        rjnmin = 1e37
      endif
*
      write(qq,'(''     Mean Jeans  l(cm)'',1P,E8.2,''  M(sun)'',E8.2,
     1''  smallest:     len(cm):'',1P,E8.2,''  M(sun):'',E8.2,
     2 '' Alf(ox-tran): '',0P,F10.4)')
     3 rjeans , ajmass , rjnmin , ajmin , alfox
*
*     some details about the hydrogen and helium ions
      write(qq,'('' Hatom level'',i3,''  NHtopoff:''
     2,i4,''  HatomType:'',a4,''  HInducImp'',l2,7x,''He1 level'',i3,
     3''  He2 level'',i3)')
     3nhlvl,nHTopOff,
     3chHTopType,lgHInducImp,nhe1lvl,nhe2lvl
*
*     print out some average quantities
      call aver('prin' , 0. , 0. , '          ' )
*
*     print out Peimbert analysis, tsqden default 1e7, changed
*     with set tsqden command
      if( hden.lt.tsqden ) then
        write(qq,'('' '')')
        write(qq,'('' Peimbert T(OIIIr)'',1p,e8.2,'' T(Bac)'',
     1  E8.2,'' T(Hth)'',E8.2,'' t2(Hstrc)'',E9.2,'' T(O3-BAC)''
     2  ,E8.2,'' t2(O3-BC)'',E9.2,'' t2(O3str)'',e9.2)')
     3 toiiir, tbac,tbcthn,t2hstr,tohyox,t2hyox , t2o3str
        if( lgDustOn ) write(qq,'('' Be careful: grains exist.'',
     1  ''  This spectrum was not corrected for reddening before '',
     1  ''analysis.'')')
      endif
*
*     print dust parameters if DEPLN not zero
      if( lgDustOn ) then
        nd = 0
        do i=1,ndust
          if( lgDustOn1(i) ) then
            nd = nd + 1
            if( lgQHeat(i) ) then
              chSTyp(nd) = '*'
            else
              chSTyp(nd) = ' '
            endif
*           >>chng 97 feb 28, only print out needed ones
            avdust(nd) = avdust(i) / reftot
            avdft(nd) = avdft(i) / reftot
            avdpot(nd) = avdpot(i) / reftot
            chLab(nd) = chDstLab(i)
          endif
        end do
        write(qq,'(/''   Average grain Properties: '')')
        write(qq,'(''           '',9(1x,A10,a1))')
     1  (chLab(i),chSTyp(i),i=1,nd)
        write(qq,'(''   <Tdust>:'',1P,9E12.3)')(avdust(i),i=1,nd)
        write(qq,'(''   <Vel D>:'',1P,9E12.3)')(avdft(i), i=1,nd)
        write(qq,'(''   <Pot D>:'',1P,9E12.3)')(avdpot(i),i=1,nd)
      endif
*
*     option to make short printout
      if( .not. lgPrtShort ) then
*       print log of optical depths
        call PrtAllTau
*       only print mean ionization and emergent continuum on last iteration
        if( lgLastIt ) then
*         print mean ionization fractions and column densities for all elements, inc heavy
          call pmeani
*         print emergent continuum
          call pcontn
        endif
      endif
      write(qq,'(1x,a74)') chTitle(2:75)
*
      end
