******************************************************************************
      subroutine GetAge( chCard )
      implicit none
*parse parameters off the age command
      character chCard*80
      include "CloudAge.com"
      include "IOqq.com"
*
*     set age for the cloud
*     various timescales will be checked later
*
      logical lgEOL , lgMatch
      integer i
      real fread
*
      i = 4
      CloudAgeSet = fread( chCard , i , 76 , lgEOL )
*
*     key " off" turns age off
      if( lgEOL.and. (.not.lgMatch(' OFF',chCard ) ) ) then
        write(qq,'('' The age must be on this line.'')')
        stop
      endif
*
*     check if log of age
      if( lgMatch(' LOG',chCard ) ) then
        CloudAgeSet = 10.** CloudAgeSet
      endif
*
*     check for units, we want seconds in the end
      if( lgMatch('MILL',chCard ) ) then
*       millennium
        CloudAgeSet = CloudAgeSet * 3.15569e7 * 1000.
      else if( lgMatch('CENT',chCard ) ) then
*       centuries
        CloudAgeSet = CloudAgeSet * 3.15569e7 * 100.
      else if( lgMatch('YEAR',chCard ) ) then
*       years
        CloudAgeSet = CloudAgeSet * 3.15569e7
      else if( lgMatch('MONT',chCard ) ) then
*       months
        CloudAgeSet = CloudAgeSet * 3.15569e7/12.
      else if( lgMatch('FORT',chCard ) ) then
*       fortnights
        CloudAgeSet = CloudAgeSet * 24. * 3600. * 14.
      else if( lgMatch('WEEK',chCard ) ) then
*       weeks
        CloudAgeSet = CloudAgeSet * 24. * 3600. * 7.
      else if( lgMatch('DAY ',chCard ) ) then
*       days
        CloudAgeSet = CloudAgeSet * 24.*3600.
      else if( lgMatch('HOUR',chCard ) ) then
*       hours
        CloudAgeSet = CloudAgeSet * 3600.
      else if( lgMatch('MINU',chCard ) ) then
*       minuts
        CloudAgeSet = CloudAgeSet * 60.
      else if( lgMatch('SECO',chCard ) ) then
*       seconds - this is the default
        CloudAgeSet = CloudAgeSet * 1.
      endif
*
      end
