******************************************************************************
      subroutine globsb( chCard )
      implicit none
*parse parameters off the globule command
      character chCard*80
*
      include "globul.com"
      include "phycon.com"
      include "sdrmin.com"
      include "drmnon.com"
      include "cpres.com"
      include "limspc.par"
      include "range.com"
      include "spec.com"
      include "nvary.com"
      include "limext.par"
      include "limpar.par"
      include "vformt.com"
      include "vparm.com"
      include "nvfpnt.com"
      include "varon.com"
      include "ninput.com"
      include "bounds.com"
      include "IOqq.com"
*
*     local variables
      logical lgEOL
      integer i
      real fread
*
*     globule with density increasing inward
*     parameters are outer density, radius of globule, and density power
      i = 5
      glbden = fread( chCard , i , 76 , lgEOL )
      if( lgEOL ) then
        glbden = 1.
        hden = 0.
      else
        hden = glbden
        glbden = 10.** glbden
      endif
      glbrad = fread( chCard , i , 76 , lgEOL )
      if( lgEOL ) then
        glbrad = 3.086e18
      else
        glbrad = 10.** glbrad
      endif
*     this is largest zone thickness, used to set first zone thickness
      sdrmax = glbrad / 25.
*     turn off min dr checking in NEXTDR
      lgDrMnOn = .false.
      glbpow = fread( chCard , i , 76 , lgEOL )
      if( lgEOL ) glbpow = 1.
      chCPres =  'GLOB'
*     this is distance to globule
      glbdst = glbrad
*
*     vary option
      if( lgVarOn ) then
        nparm = nparm + 1
*       pointer to where to write
        nvfpnt(nparm) = nRead
*       this is the number of parameters to feed onto the input line
        nvarxt(nparm) = 3
        write(chVarFmt(nparm),'(''(''''GLOBULE '''',3F11.5)'')')
*       param is log of abundance by number relative to hydrogen
        vparm(nparm,1) = log10( glbden )
        vparm(nparm,2) = log10( glbrad )
        vparm(nparm,3) = glbpow
        vincr(nparm) = 0.2
      endif
*
      end
