******************************************************************************
      subroutine he2gma( gam32 , he2la )
      implicit none
*evaluate photoionization rates for model helium ion
      real gam32 , he2la
      include "ncell.par"
      include "itrdim.par"
      include "nhe2lvl.par"
      include "limelm.par"
      include "he2crt.com"
      include "ZoneCnt.com"
      include "he2blt.com"
      include "he2ind.com"
      include "he2cin.com"
      include "rfield.com"
      include "ots.com"
      include "phe2lv.com"
      include "heat.com"
      include "he.com"
      include "phycon.com"
      include "shullc.com"
      include "logte.com"
      include "hebug.com"
      include "trace.com"
      include "hhe2.com"
      include "called.com"
      include "iophe2.com"
      include "nhe2.com"
      include "DoPhoto.com"
      include "He2NIonRyd.com"
      include "PhotScale.com"
      include "PhotRate.com"
      include "IOqq.com"
*
*     local variables
      integer i , n
      real bnfun
      real ghe2(nhe2lvl) , he2cn(nhe2lvl)
      save ghe2 , he2cn
*
*     free statement labels >= 6
*
*     photoionization rates
*     He II ground state ionization
      if( lgDoPhoto ) then
*       induced rec
*       FIN is relat to induc rec rate, HE2CN is related to cooling
        ghe2(1) = bnfun( nhe2(1) , nflux , iophe2(1) , 4.0 ,
     1  he2qin(1) , he2cn(1) ) * PhotScaleOn
        gam32 = secion
        hhe2(1) = h
        he2la = secla
        he2gam(1) = ghe2(1)
        PhotoRate(2,2,1,1) = ghe2(1)
        PhotoRate(2,2,1,2) = hhe2(1)
        do n=2,nhe2lvl
          ghe2(n) = bnfun( nhe2(n) , nhe2(1) , iophe2(n) ,
     1    He2IonRyd(n) , he2qin(n) , he2cn(n) ) * PhotScaleOn
          hhe2(n) = h
          he2gam(n) = ghe2(n)
        end do
      endif
*
*     induced recombination rate
      he2rin(1) = he2qin(1) * he2lte(1)
      he2rin(2) = he2qin(2) * (he2lte(2)+he2lte(10))
      he2cin(1) = he2cn(1) * he2lte(1)
      he2cin(2) = he2cn(2) * (he2lte(2)+he2lte(10))
      do n=3,nhe2lvl
*       induced recombination rate
        he2rin(n) = he2lte(n) * he2qin(n)
*       coooing due to induced recombination
        he2cin(n) = he2cn(n) * he2lte(n)
      end do
*
      if( lgTrace.and.lgHe2Bug ) then
        if( lgDoPhoto ) then
          write(qq,'(5X,''HE2GMA finds photo rates:'',1P,7(I2,E9.2))')
     1    (i,he2gam(i),i=1,7)
        else
          write(qq,'(5X,''HE2GMA does not reeval photoioniz rates.'')')
        endif
      endif
*
      end
