      integer function IDAMAX(n,dx,incx)
c
c     finds the index of element having max. absolute value.
c     jack dongarra, linpack, 3/11/78.
c     modified 3/93 to return if incx .le. 0.
c     modified 12/3/93, array(1) declarations changed to array(*)
c
      double precision dx(*),dmax
      integer i,incx,ix,n
c
      IDAMAX = 0
      if( n.lt.1 .or. incx.le.0 ) return
      IDAMAX = 1
      if(n.eq.1)return
      if(incx.eq.1)go to 20
c
c        code for increment not equal to 1
c
      ix = 1
      dmax = dabs(dx(1))
      ix = ix + incx
      do i = 2,n
*        if(dabs(dx(ix)).le.dmax) go to 5
         if(dabs(dx(ix)).gt.dmax) then
           IDAMAX = i
           dmax = dabs(dx(ix))
         endif
         ix = ix + incx
      end do
      return
c
c        code for increment equal to 1
c
   20 dmax = dabs(dx(1))
      do i = 2,n
*        if(dabs(dx(i)).le.dmax) go to 30
         if(dabs(dx(i)).gt.dmax) then
           IDAMAX = i
           dmax = dabs(dx(i))
         endif
      end do
      return
      end
