****************************************************************
      subroutine MakeRTFe2
      implicit none
*called by MakeRT, gets Katya's FeII atom escape probs
      include "nta.par"
      include "nFe2LevN.par"
      include "Fe2LevN.com"
      include "wind.com"
      include "IterCnt.com"
*
*     local variables
      integer low , ihi
*
*     this routine drives calls to make RT relations with Katya's FeII atom
      if( windv.eq.0. ) then
*       static soluiton
        do low=1,nFe2LevN-1
          do ihi=low+1,nFe2LevN
            call MakeStatRT( Fe2LevN(1,ihi,low) )
          end do
        end do
      else
*       windy model
        do low=1,nFe2LevN-1
          do ihi=low+1,nFe2LevN
            call MakeWindRT( Fe2LevN(1,ihi,low) )
          end do
        end do
      endif
*
      end
