******************************************************************************
      subroutine plot( chCall )
      implicit none
*master routine to generate some sort of plot
      character*5 chCall
*
      include "ncell.par"
      include "mapdim.par"
      include "ndplot.par"
      include "called.com"
      include "opac.com"
      include "mapr.com"
      include "phycon.com"
      include "rfield.com"
      include "ploton.com"
*     include "pltrce.com"
      include "ptype.com"
      include "lastit.com"
      include "trace.com"
      include "IOqq.com"
*
*     local variables
      integer np
*
*     return if this is not the last iteration, or a plot not required
      if( .not.lgPlotON ) return
      if( .not.lgLastIt .and. (chCall.ne.'FIRST') ) return
      do np=1,nplot
        if( chPType(np).eq.' MAP' ) then
          call pltmap( np , chCall )
        else if( 
     1     chPType(np).eq.'CONT' .or. chPType(np).eq.'CRAW' .or.
     1     chPType(np).eq.'DIFF' .or. chPType(np).eq.'REFL' .or.
     2     chPType(np).eq.'EMIT' .or. chPType(np).eq.'CPHT' .or.
     3     chPType(np).eq.'OUTW' ) then
           call pltcon( np , chCall )
        else if( chPType(np).eq.'OPAA' .or. chPType(np).eq.'OPAS' .or.
     1     chPType(np).eq.'OPAT' ) then
*          absorption, scattering, or total opacity
           call pltopc( np , chCall )
        else
          write(qq,'('' PLOT type='',A4,'' not known.  STOP'')')
     1    chPType(np)
          stop
        endif
      end do
*
      end
