******************************************************************************
      subroutine radacl
      implicit none
*radiative acceleration due to incident continuum, calls forlin for lines
*used for wind solution derives AccelLine and AccelCont
      include "en1ryd.par"
      include "ncell.par"
      include "rfield.com"
      include "ots.com"
      include "opac.com"
      include "scatop.com"
      include "pwind.com"
      include "densty.com"
      real rforce , forlin
      integer i
*
      rforce = 0.
      do i=1,nflux
        rforce = rforce + (flux(i)+outlin(i)+outcon(i)) * anu(i)*
     1  (opac(i)+scatop(i))
      end do
*
*     radiative acceleration; xMassDensity is gm per cc, eval when PTOT called
      AccelLine = forlin() / 2.998e10 / xMassDensity
      AccelCont = rforce * en1ryd / 2.998e10 / xMassDensity
*
      end
