*
******************************************************************************
      subroutine renor(wl,temp)
      implicit none
*convert between cloudy energy grid and werner one, by K Volk
      include "ncell.par"
      include "StarSize.com"
      include "rfield.com"
      real freq,wl,temp,con1,c,sigma,val,tot1,tot
      integer j
      dimension wl(ncell),freq(ncell)
      con1=9.1126708e-08
      c=299792458.
      con1=c/con1
*
*     rydberg to frequency conversion factor
      sigma=5.67051e-05
*
      do j=1,nWerner
        freq(j)=con1*wl(j)
      end do
*
      tot=(10.**flux(1))*(freq(2)-freq(1))+(10.**flux(nWerner))*
     c    (freq(nWerner)-freq(nWerner-1))
*
      do j=2,nWerner-1
        tot=tot+(10.**flux(j))*(freq(j+1)-freq(j-1))/2.
      end do
*
*     this should be the total surface flux in erg/cm^2/s now
*
      tot1=sigma*(temp**4.)
      val=alog10(tot1/tot)
*
      do j=1,nWerner
        flux(j)=flux(j)+val
      end do
*
      end
