******************************************************************************
      subroutine result( io )
      implicit none
*punch results from punch results command
      integer io
      include "nlines.par"
      include "sum.com"
      include "sumlab.com"
      include "itrdim.par"
      include "ZoneCnt.com"
      include "taucon.com"
      include "cldnEXP.com"
      include "limelm.par"
      include "IonMeans.com"
*
*     local variables
      logical lgEOF
      character*80 chCard
      integer i
*
*     used to punch out line intensities, optical depths,
*     and column densities
*
      lgEOF = .false.
*     first initialize the line image reader
      call rdinit
*
      write(io,'(130(''*''))')
      lgEOF = .false.
      call readar( chCard , lgEOF )
      do while( .not. lgEOF )
        write(io,'(A80)') chCard
        call readar( chCard , lgEOF )
      end do
*
*     first print any cautions or warnings
      call warnot( io )
      call caunot (io )
      write(io,'(130(''*''))')
*
      write(io,'(''C*OPTICAL DEPTHS ELECTRON='',1P,E10.3)') telec
*
      write(io,'(''BEGIN EMISSION LINES'')')
      call PunResult(io,'    ', 0, 0., 'Start' )
      do i=1,nsum
        if( sumlin(i).gt.0. ) then
          call PunResult(io,chALab(i),lin(i),sumlin(i),'Line ')
        endif
      end do
      call PunResult(io,'    ', 0, 0., 'Flush' )
*
      write(io,'(''     '')')
*
      write(io,'(''BEGIN COLUMN DENSITIES'')')
*     make sure this is kept parallel with CDCOLM, which uses it
*     real in all column densities
*     make sure this is kept parallel with CDCOLM, which uses it
*     donelem=1,limelm
*     >>chng 97 mar 20, dump whole thing
        write(io,'(4x,1p,12e10.3)') xIonMeans
*       write(io,'(4x,1p,12e10.3)') (xIonMeans(nelem,i,1),i=1,nelem+1)
*     end do
      write(io,'(''     '')')
*
      write(io,'(''END OF RESULTS'')')
      write(io,'(130(''*''))')
*
      end
