*********************************************************************
      subroutine setinp( lgLimOK )
      implicit none
*sets input lines to feed into cloudy in optimization runs
      logical lgLimOK
      include "nkrd.par"
      include "input.com"
      include "ninput.com"
      include "nvary.com"
      include "limext.par"
      include "limpar.par"
      include "vparm.com"
      include "vformt.com"
      include "vpused.com"
      include "nvfpnt.com"
      include "varang.com"
      include "IOqq.com"
*
*     local variables
      integer i,np , ii
*
*     set up chCardSav(n) array like Gary's input file, using input
*     variable parameters p(i), and format information held in
*     the common block /parmv/. Results written to common /kardsv/.
*
      write(qq,'(1x,50(''*''))')
*
      lgLimOK = .true.
*     echo the variable input lines for this run
      do i=1,nvary
        np = nvfpnt(i)
*       write formatted to the character string chCardSav(np),
*       using the format held in chVarFmt(np)
        vpused(i) = min( vparm(i,1) , varang(2,i) )
        vpused(i) = max( vpused(i) , varang(1,i) )
        if( nvarxt(i).gt.1 ) then
          write(chCardSav(np),chVarFmt(i)) vpused(i),
     1    (vparm(i,ii),ii=2,nvarxt(i))
        else
          write(chCardSav(np),chVarFmt(i)) vpused(i)
        endif
        write(qq,'(1X,A80)') chCardSav(np)
        if( vpused(i).eq.varang(2,i).or.vpused(i).eq.varang(1,i) ) then
          lgLimOK = .false.
          write(qq,'('' Limit to variable exceeded.'')')
        endif
      end do
*
      end
