****************************************************************
      subroutine SigmaSet( freq,cs,n,nfreq)
      implicit none
*generate hydrogenic photoionization cross sections for prin n
      real freq(*),cs(*)
      integer n , nfreq
      include "IOqq.com"
*
*     local variables
      real z , en , h0 , pow
      integer lmin , lmax , i
*
      z = 1.
      en = z*z/float(n*n)
      if( n.lt.30 ) then
        lmin = 0
        lmax = n - 1
*       energy width of cells in ryd is en
        call hypho(z,n,lmin,lmax,en,nfreq,freq,cs)
*       write(10,'(''n, ener cs='',i3,1p,4e10.3)')
*    1  n , freq(1), cs(1), freq(nfreq) , cs(nfreq)
      else
*       used for n>= 30
        call hfit( h0,pow,n )
        do i=1,nfreq
          cs(i) = h0*(freq(i)/freq(1))**(-pow)
        end do
      endif
*
*     hypho can go nuts if the first energy in the array
*     is too small.  Check it.
*begin sanity check
      if( cs(1).le.0. ) then
        write(qq,'('' SigmaSet returned non-positive cross section'',
     1  '' for threshold of level'',i3,1p,e10.3)') n , cs(1)
        call ShowMe
        stop
      endif
*end sanity check
*
      end
