******************************************************************************
      subroutine startr
      implicit none
*set and save values of many variables at start of iteration
      include "ndust.par"
      include "nhlvl.par"
      include "nhe1lvl.par"
      include "nhe2lvl.par"
      include "nlines.par"
      include "nhe3lvl.par"
      include "limelm.par"
      include "ipLnArry.par"
      include "ncell.par"
      include "bltzman.par"
      include "nfst.par"
      include "ndfst.par"
      include "nta.par"
      include "itrdim.par"
      include "ncold.par"
      include "Fe2Neg.com"
      include "AgeMole.com"
      include "HHePopSv.com"
      include "LyaExT.com"
      include "LaMase.com"
      include "rfield.com"
      include "densty.com"
      include "EdError.com"
      include "CHMax.com"
      include "hemase.com"
      include "comneg.com"
      include "zonset.com"
      include "hvmolEXP.com"
      include "hevmls.com"
      include "lotsco.com"
      include "negoi.com"
      include "tff.com"
      include "tgrmax.com"
      include "colmas.com"
      include "resmax.com"
      include "he3pht.com"
      include "kapots.com"
      include "nustbl.com"
      include "opac.com"
      include "opacsv.com"
      include "scatop.com"
      include "sctsav.com"
      include "hesav.com"
      include "qs.com"
      include "timesc.com"
      include "aclbar.com"
      include "frcind.com"
      include "Max2Pht.com"
      include "phlevl.com"
      include "phe1lv.com"
      include "phe2lv.com"
      include "he1nxt.com"
      include "he2nxt.com"
      include "drsv.com"
      include "save.com"
      include "lhytot.com"
      include "tehigh.com"
      include "he3tuEXP.com"
      include "ophs.com"
      include "heopfr.com"
      include "ophf.com"
      include "htau.com"
      include "htnext.com"
      include "HPhoto.com"
      include "dndt.com"
      include "he1tau.com"
      include "he2tau.com"
      include "dalerr.com"
*     include "fsheat.com"
      include "optbug.com"
      include "trace.com"
      include "hbug.com"
      include "hebug.com"
      include "itrprt.com"
      include "ZoneCnt.com"
      include "IterCnt.com"
      include "nfail.com"
      include "taumin.com"
      include "mxstpl.par"
      include "StopLine.com"
      include "tcool.com"
      include "heat.com"
      include "dhla.com"
      include "cldnARR.com"
      include "norm.com"
      include "toiii.com"
      include "dstdft.com"
      include "abrems.com"
      include "ffheat.com"
      include "workf.com"
      include "ots.com"
      include "condif.com"
      include "deptau.com"
      include "otssav.com"
      include "shullc.com"
      include "x12.com"
      include "supsav.com"
      include "hmi.com"
      include "hmisav.com"
      include "comptn.com"
      include "radius.com"
      include "drnxt.com"
      include "sum.com"
      include "sound.com"
      include "h.com"
      include "hebnsv.com"
      include "he1bn.com"
      include "he2bn.com"
      include "he3bn.com"
      include "he.com"
      include "heots.com"
      include "linsum.com"
      include "sumlab.com"
      include "phycon.com"
      include "tlast.com"
      include "PresInit.com"
      include "plast.com"
      include "touton.com"
      include "caseb.com"
      include "DoppVel.com"
      include "called.com"
      include "he1cin.com"
      include "he2cin.com"
      include "thlo.com"
      include "the1lo.com"
      include "the2lo.com"
      include "lfes.com"
      include "lastit.com"
      include "NumUpper.com"
      include "dphoht.com"
      include "codish.com"
      include "h2dish.com"
      include "intalk.com"
      include "dRdVeff.com"
      include "pinteg.com"
      include "pstart.com"
      include "IOqq.com"
      include "hstat.com"
      include "he1stat.com"
      include "he2stat.com"
      include "TLineARR.com"
      include "IonFracs.com"
      include "IonFsave.com"
      include "heating.com"
      include "heatlmax.com"
      include "ExtraMax.com"
      include "EdenOther.com"
      include "SumOutInc.com"
      include "GrainPot.com"
      include "IonRange.com"
      include "CharExc.com"
*
*     local variables
      character chCAPS*4
      integer i,j,ii,ion,n,nd
      logical lgHit
      real ratio,dtau,fhnxt,fhe1nx,fhe2nx,tl,TotalPressure
*     real d
      integer nelem,ierrda
*
*     free statement labels >=30
*
*     STARTR is called at the start of EVERY iteration
      if( lgTrace ) write(qq,'('' STARTR called.'')')
*
*     check if this is the last iteration
      if( iter.gt.itermx ) then
        lgLastIt = .true.
      else
        lgLastIt = .false.
      endif
      lgHeMase = .false.
      SumOutCon = 0.
      SumIncCon = 0.
*     zero out charge transfer heating and cooling fractions
      HCharHeatMax = 0.
      HCharCoolMax = 0.
*     save exansion rate here
      dndtSave = dDensityDT
*
      AgeH2MoleForm = 0.
      AgeCOMoleForm = 0.
      BigH2MoleForm = 0.
      BigCOMoleForm = 0.
      CoolHeatMax = 0.
*
*     these are variables to remember the biggest error in the
*     electron density, and the zone in qhich it occurred
      BigEdenError  = 0.
      ipEdenError = 0
*
      nLyaHot = 0
      TLyaMax = 0.
      xMax2Pht = 0.
      xLaMase = 0.
      nFe2Neg = 0
*
*     TLAST is the temperature of the last zone, and is normally
*     evaluated in ZONDUN, at the end of a zone calculation
*     it has been undefined up til now, and for the first zone is nonsense
      tlast = te
*
*     evaluate the gas and radiation pressure
      PressureInit = TotalPressure()
      pinit = PressureInit
      pinteg = 0.
      pinzon = 0.
*
      lgLotsCO = .false.
      lgComNeg = .false.
*
*     define two timescales for equilibrium, Compton and thermal
      tcmptn = 1.d0 / ( dble(qtot*6.65e-25) * eden )
      ttherm = 1.5 * pden * Boltzmann * te / ctot
*
      do nelem=1,limelm
        do ion=1,nelem+1
          xIonFsave(nelem,ion) = xIonFracs(nelem,ion) 
        end do
        do i=1,limelm
          HeatSave(nelem,i) = heating(nelem,i) 
        end do
      end do
      ntff = 1
      tff = 0.
      negoi = 0.
*     save ionization bal for second row elements
      do i=1,limelm
        IonLowSave(i) = IonLow(i)
        IonHighSave(i) = IonHigh(i)
      end do
*
      edsav = eden
      EDOthSav = EdenNotH 
      EDMSav = EdenMet 
*
*     reset molecular fractions
      chs = ch
      chps = chp
      ohs = oh
      ohps = ohp
      otwos = otwo
      ctwos = ctwo
      cos = co
      cops = cop
      h2os = h2o
      h2ops = h2op
      o2ps = o2p
      c2ps = c2p
      h3ps = h3p
      h3ops = h3op
      ch2ps = ch2p
      ch2s = ch2
      ch3s = ch3
      cps = cp
*
      h2sav = htwo
      h2psav = h2plus
      h3psav = h3plus
      hmisav = hminus
*
*     save zone thicknes, and next zone thickness
      drSave = drad
      drnsv = drNext
*
*     these are opacity factors needed for recombination coef
      do n=1,nhlvl
        ophs(n) = ophf(n)
      end do
      do n=1,nhlvl+1
        hnsav(n) = hn(n)
      end do
      do n=1,nhe1lvl+1
        he1nsav(n) = he1n(n)
      end do
      do n=1,nhe2lvl+1
        he2nsav(n) = he2n(n)
      end do
      do n=1,nhe1lvl
        ophe1s(n) = ophe1f(n)
      end do
      do n=1,nhe2lvl
        ophe2s(n) = ophe2f(n)
      end do
*
      nprint = itrprt(iter)
      hisv = hi
      hiisv = hii
      nhlo = 0
      TotMassColl = 0.
      tmas = 0.
      wmas = 0.
      kapots = 0
      kap911 = 0
      nhe1lo = 0
      nhe2lo = 0
      nUnstable = 0
      lgUnstable = .false.
      heisav = heiii
      he2sav = heii
      he1sav = hei
      hei = hei1
      he3sav = hei3
*
      do i=1,nhlvl+1
        cinduc(i) = 0.
      end do
      do i=1,10
        he1cin(i) = 0.
        he2cin(i) = 0.
        heb1sv(i) = he1bn(i)
        heb2sv(i) = he2bn(i)
      end do
      do i=1,nhe3lvl
        heb3sv(i) = he3bn(i)
      end do
*
      resmax = 0.
      he3pht = 0.
      he3lya = 0.
*
      do i=1,nupper
*       diffuse fields continuum
        ContDiff(i) = 0.
*       save OTS continuum for next iteration
        otssav(i,1) = otscon(i)
        otssav(i,2) = otslin(i)
        outcon(i) = 0.
        outlin(i) = 0.
*       save opacities for next iteration
        opacsv(i) = opac(i)
        sctsav(i) = scatop(i)
*       will accumulate optical depths through cloud
        depabs(i) = taumin
        depsct(i) = taumin
      end do
*
*     this zeroes out arrays to hold mean ionization fractions
*     later enered by mean
*     read out by setlim
      call zmean
*
      do i=1,ncold
        colden(i) = 0.
      end do
*
*     now zero heavy element molecules
      call molcol( 'ZERO' )
*
      ffhtot = 0.
      lhytot = 0
      thist = 0.
      tlowst = 1e20
      ierrda = 0
      AccelAver = 0.
      acldr = 0.
      ilt = 0 
      iltln = 0 
      ilthn = 0 
      ihthn = 0 
      ifail = 0
      savion = secion
      savla = secla
      supsav = csupra
      x12sav = x12
      hetsav = heatef 
      savefi = efionz 
      nfail = 0
      nPreFail = 0
      failmx = 0.
      tl = te
      dstpow = 0.
      dstotl = 0.
      dstsum = 0.
      DustHeatLya = 0.
      dincon = 0.
      HDustDif = 0.
*
      thtot = 0.
      chii = 0.
      dlnenp = 0.
      reftot = 0.
      avhden = 0.
      workft = 0.
      workfz = 0.
*
*     zero out averaging routine
      call aver('zero',0.,0.,'          ')
*
      do nd=1,ndust
*       >>chng 97 july 5, save and reset this
*       save grain potential
        dstpotsav(nd) = dstpot(nd)
        avdust(nd) = 0.
        avdpot(nd) = 0.
        avdft(nd) = 0.
        tgrmax(nd) = -1.
      end do
*
      comtot = 0.
      codfrc = 0.
      codtot = 0.
      h2dfrc = 0.
      h2dtot = 0.
      TotalDustHeat = 0.
      dphmax = 0.
      h2pmax = 0.
      dclmax = 0.
      heatlmax = 0.
      GBarMax = 0.
      cintot = 0.
      secion = 0.
      secla = 0.
      lgZoneTrp = .false.
*
*     set up line array
      ipass = 0
      call lines
      ipass = 1
      if( lgTrace ) then
        write(qq,'(i7,'' lines printed in cooling arrays; the'',
     1  '' limit is'',i7)') nsum , NLINES
      end if
*
*     now zero out some variables set by last call to LINES
      cintot = 0.
      totcol = 0.
      GrossHeat = 0.
      comtot = 0.
      workft = 0.
      power = 0.
      TotalDustHeat = 0.
      dphmax = 0.
      h2pmax = 0.
      dclmax = 0.
      heatlmax = 0.
      GBarMax = 0.
      codfrc = 0.
      codtot = 0.
      h2dfrc = 0.
      h2dtot = 0.
      sound = 0.
*
*     find which line to normalise array to (default is H BETA)
*     NormWL=1 then use first line in list (H-BETA)
*     NormWL<0 then find line with wavelength=-NormWL
      if( NormWL.lt.0 ) then
        lgHit = .false.
*       repair norm line wavelength
        NormWL = -NormWL
        i = 1
        do while( .not.lgHit .and. i.lt.nsum )
          if( lin(i) .eq. NormWL ) then
            if( chNormLab.eq.'    ' ) then
              j = i
              lgHit = .true.
            else
*             >>chng 96 dec 12, added label match option
              call cap4( chALab(i),chCAPS )
              if( chNormLab.eq.chCAPS ) then
*               when chNormLab set, only count as hit when label matches too
                j = i
                lgHit = .true.
              endif
            endif
          endif
          i = i + 1
        end do
        if( .not. lgHit ) then
          write(qq,'('' couldnt find'',i5,'' lab='',a4)') NormWL,
     1    chNormLab
          stop
        endif
        NormWL = j
        if(lgTrace) then
          write(qq,'('' Reormalize line spectrum to line number'',
     1    i5,'' wavelength is'',i9,'' scale='',f5.2,'' label is '',a4)')
     2    NormWL, lin(j),sclnrm,chALab(j)
        endif 
      endif
*
*     if STPINT not 1E37 then stop integration when line LineStopWl
*     reaches intensity STPINT relative to H BETA
      do ii=1,nstpl
        if( iter.le.1 ) then
          i = 1
          lgHit = .false.
*         >>chng 96 dec 12, got rid of if, change to do while
          do while( .not.lgHit.and. i.lt.nsum )
            if( lin(i).eq.LineStopWl(ii) ) then
              ipStopLin1(ii) = i
              lgHit = .true.
            endif
            i = i + 1
          end do
*
          if( .not.lgHit )  then
            write(qq,'('' STARTER2 couldnt find line'',I5)')
     1      ipStopLin1(ii)
            stop
          endif
*
          if(lgTrace)write(qq,'('' stop line 1 is number'',
     1    i5,'' wavelength is'',i9,'' label is '',a4)')
     2    ipStopLin1(ii), lin(ipStopLin1(ii)),chALab(ipStopLin1(ii))
*
          if( ipStopLin2(ii).ne.1 ) then
            i = 1
            lgHit = .false.
            do while( .not.lgHit.and. i.lt.nsum )
*           >>chng 96 dec 12, more to do while logic
*           do i=1,nsum
              if( lin(i).eq.ipStopLin2(ii) ) then
                ipStopLin2(ii) = i
                lgHit = .true.
              endif
              i = i + 1
            end do
            if( .not.lgHit )  then
              write(qq,'('' STARTER3 couldnt find line'',I5)')
     1        ipStopLin2(ii)
              stop
            endif
            if(lgTrace)write(qq,'('' stop line 2 is number'',
     1      i5,'' wavelength is'',i9,'' label is '',a4)')
     2      ipStopLin2(ii), lin(ipStopLin2(ii)),chALab(ipStopLin2(ii))
          endif
        endif
      end do
*
*     option to only print last iteration
      if( lgPrtLastIt ) then
        if( iter.eq.1 ) lgTalk = .false.
*       initial condition of TALK may be off if AMOEBA used
*       sec part is for print last command
        if( lgLastIt .and. (.not.lgPrtStart) ) lgTalk = lgInTalk
      endif
*
      if( lgTrace.and.lgOptcBug ) then
         if( lgTauOutOn ) then
            write(qq,'('' Outer optical depths defined.'')')
         else
            write(qq,'('' Outer optical depths NOT defined.'')')
        endif
        write(qq,'('' Helium 10830:'',1P,3E10.2,
     2  '' 3889:'',3E10.2,'' 5876:'',3E10.2/'' 7065:'',3E10.2)')
     3  t10830,t3889,t5876,t7065
*       heavy element lines
        write(qq,'(4(0p,f6.0,'':'',1p,3e8.1))')
     1  (TauLines(ipLnWlAng,i),TauLines(ipLnTauIn,i),
     1  TauLines(ipLnTauTot,i),TauLines(ipLnEscP,i),i=1,nTauLines)
      endif
*
      if( lgCaseb ) then
         if( lgTrace ) write(qq,'('' STARTR does not change mid-z'',
     1   ''one optical depth since CASE B'')')
      else
         fhnxt = hii * dReff / doppler(1) * 0.52
         fhe1nx = heii * dReff / doppler(2) * 0.52
         fhe2nx = heiii * dReff / doppler(2) * 0.52
         do j=2,nhlvl
           dtau = (hn(1) -  hn(j) * hstat(1) / hstat(j) ) * hopac(j,1) 
           htnext(j,1) = max( htau(j,1) , dtau * fhnxt )
         end do
         do j=2,nhe1lvl
           dtau = (he1n(1) -he1n(j)*he1stat(1)/he1stat(j) )*he1opc(j,1) 
           he1nxt(j,1) = max( he1tau(j,1) , dtau * fhe1nx )
         end do
*
         do j=2,nhe2lvl
           dtau = (he2n(1) -he2n(j)*he2stat(1)/he2stat(j) )*he2opc(j,1)
           he2nxt(j,1) = max( he2tau(j,1) , dtau * fhe2nx )
         end do
*
         do i=2,nhlvl-1
           do j=i+1,nhlvl
             dtau = (hn(i) - hn(j)* hstat(i) / hstat(j) ) * hopac(j,i)
             htnext(j,i) = max( taumin , dtau * fhnxt  )
           end do
         end do
         do i=2,nhe1lvl-1
           do j=i+1,nhe1lvl
             dtau = (he1n(i)-he1n(j)*he1stat(i)/he1stat(j))*he1opc(j,i)
             he1nxt(j,i) = max( taumin , dtau * fhe1nx )
           end do
         end do
*
         do i=2,nhe2lvl-1
           do j=i+1,nhe2lvl
             dtau = (he2n(i)-he2n(j)*he2stat(i)/he2stat(j))*he2opc(j,i)
             he2nxt(j,i) = max( taumin , dtau * fhe2nx )
           end do
         end do
*
         if( lgTrace ) then
            if( lgHBug .and.lgHBugFull ) then
               write(qq,'('' STARTR estimates optical depths for ''
     1         ,''center of first zone;  HTNEXT array follows:'')')
               do i=2,nhlvl
                 write(qq,'(7x,i1,1p,8e10.2)') i,(htnext(i,j),j=1,7)
               end do
            endif
*
            if( lgHe1Bug ) then
               write(qq,'('' STARTR estimates optical depths for ''
     1         ,''center of first zone;  HE1NXT array follows:'')')
               do i=2,nhe1lvl
                  write(qq,'(7x,i1,1p,8e10.2)') i,(he1nxt(i,j),j=1,7)
               end do
            endif
*
            if( lgHe2Bug ) then
              write(qq,'('' STARTR estimates optical depths for ''
     1        ,''center of first zone;  HE2NXT array follows:'')')
              do i=2,nhe2lvl
                write(qq,'(7X,I1,1P,8E10.2)') i,(he2nxt(i,j),j=1,7)
              end do
            endif
         endif
      endif
*
*     check if induced recombination can be ignored
      FracInd = 0.
      fbul = 0.
*     don't do ground state since SPHERE turns it off
      do i=2,nhlvl-1
         ratio = rinduc(i) / ( rinduc(i) + hrec(i,1)*hrec(i,2) )
         if( ratio .gt. FracInd ) then
            FracInd = ratio
            ndclev = i
         endif
         ratio = hcont(i+1,i) / ( hcont(i+1,i)+hemis(i+1,i) )
         if( ratio.gt.fbul ) then
            fbul = ratio
            nbul = i
         endif
      end do
*
      if( lgTrace ) write(qq,'(1X,''STARTR returns.'')')
*
      end
