******************************************************************************
      subroutine velset
      implicit none
*set thermal velocities for all particles in gas
      include "limelm.par"
      include "AtomcWgt.com"
      include "phycon.com"
      include "turb.com"
      include "DoppVel.com"
*
*     local variables
      integer nelem
      real turb2
*
*     computes one doppler width, in cm/sec
*     usually TurbVel =0
*
*     compute doppler width
      turb2 = TurbVel * TurbVel
      do nelem=1,limelm
        doppler(nelem) = sqrt( 1.651e8*te/AtomicWeight(nelem) + turb2 )
      end do
*
      end
