******************************************************************************
      real function xmap ( x , y , x0 )
      implicit none
*mapping function for Cota's 3-body recombination
      real  x0 , y1,x1,x2,x3
      real x13m,x12m,y13m,c,a,b
*
* PARABOLIC INTERPOLATION.
*
      real x(3) , y(3)
*
      y1   = y (1)
      x1   = x (1)
      x2   = x (2)
      x3   = x (3)
      x13m = x1 - x3 
      x12m = x1 - x2
      y13m = y1 - y (3)
      x3   = (x1 + x3) * x13m 
      x2   = (x1 + x2) * x12m
      b    = ( ( y1 - y ( 2 ) ) * x3 - y13m * x2 )
     *               / (  x12m * x3 - x13m * x2 )
      a    = ( y13m - x13m * b ) / x3
      c    = y1 - a * x1 * x1 - b * x1
*
      xmap  = a * x0 * x0 + b * x0 + c
*
      end
